# Class NoSuchMethodException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.ReflectiveOperationException
java.lang.NoSuchMethodException

All Implemented Interfaces:
  `Serializable`

public class NoSuchMethodException extends ReflectiveOperationException
Thrown when a particular method cannot be found.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoSuchMethodException()`
  Constructs a `NoSuchMethodException` without a detail message.
  `NoSuchMethodException(String s)`
  Constructs a `NoSuchMethodException` with a detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoSuchMethodException

    public NoSuchMethodException()
    Constructs a `NoSuchMethodException` without a detail message.

  - ### NoSuchMethodException

    public NoSuchMethodException(String s)
    Constructs a `NoSuchMethodException` with a detail message.
    Parameters:
      `s` - the detail message.